/*Copyright (C) 2018 Laboratório de Novas Tecnologias
Centro de Ciências da Educação (CED) - Universidade Federal de Santa Catarina

This file is part of plataformaintegrada.

Permission is hereby granted, free of charge, to any person obtaining a copy of this
software and associated documentation files the Software, to deal in the Software
without restriction, including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.*/


import React, {Component} from 'react';
import {Row, Col, Container} from 'react-grid-system';
import acessoInfo from '../img/acesso-a-informacao.png';
const grayFooter={
  backgroundColor: "#434343",
  color: "white",
  textAlign: "center",
  display: "block",
  paddingTop: "20px",
  paddingBottom: "10px"
};
class AGPLFooter extends Component{
  render(){
    return(
      <div style={grayFooter}>
        <Container>
          <Row justify="around">
            <Col md={1}>
              <img src={acessoInfo} height="40" alt="acesso a informação"/>
            </Col>
            <Col md={8}>
              <p style={{fontSize: "12px", textAlign: "center"}}>
                As tecnologias da Plataforma Integrada possuem as licenças MIT(Frontend) e licença GNU/AGPL(Backend).
              </p>
            </Col>
          </Row>
        </Container>
        <br/>
        <Container>
          <Row>
            <Col  offset={{ md: 3 }} md={6}>
              <p style={{fontSize: "9px"}}>
                Esta versão da platarfoma funciona melhor nas últimas versões dos navegadores Chrome e Firefox.
                Para uma melhor experiência mantenha seus navegadores atualizados! Versão 1.02
              </p>
            </Col>
          </Row>
        </Container>
      </div>
    )
  }
}
export default AGPLFooter;
