/*Copyright (C) 2018 Laboratório de Novas Tecnologias
Centro de Ciências da Educação (CED) - Universidade Federal de Santa Catarina

This file is part of plataformaintegrada.

Permission is hereby granted, free of charge, to any person obtaining a copy of this
software and associated documentation files the Software, to deal in the Software
without restriction, including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.*/


import React, {Component} from 'react';
import {Row, Col, Container} from 'react-grid-system';
import acessar from '../img/nopub-Acessar-materiais.png';
import baixar from '../img/nopub-Baixar.png';
import compartilhar from '../img/nopub-Compartilhar.png';
import relatar from '../img/nopub-Relatar.png';
import seguir from '../img/nopub-Seguir.png';
import guardar from '../img/nopub-Guardar.png';

const imgRow={
  textAlign: "center",
  padding: "1%",
  fontFamily: "Roboto, sans-serif"
};

const title={
  display: "block",
  fontSize: "1.1em",
  fontWeight: "Bold",
  fontFamily: "Roboto, sans-serif",
   textAlign: "center"
};
const caption={
  fontSize: "1.07em",
  fontWeight: "lighter",
};
class Funcionalities extends Component{
  render(){
    return(
      <Container style={{textAlign: "center"}}>
        <h2>Aqui na Plataforma você pode:</h2>
        <Row style={imgRow}>
          <Col sm={4} md={4}>
            <img src={compartilhar} height="150px" alt="compartilhar recursos"/>
            <span>
              <span style={title}>
                Compartilhar
              </span>
              <span style={caption}>
              com os colegas
              </span>
            </span>
          </Col>
          <Col sm={4} md={4}>
            <img src={relatar} height="150px" alt="relatar experiências"/>
            <span>
              <span style={title}>
                Relatar experiências,
              </span>
              <span>
              curtir e avaliar
              </span>
            </span>
          </Col>
          <Col sm={4} md={4}>
            <img src={guardar} height="150px" alt="guardar recursos"/>
            <span>
              <span style={title}>
                Guardar recursos
              </span>
              <span>
              em coleções
              </span>
            </span>
          </Col>

          <Col sm={4} md={4}>
            <img src={seguir} height="150px" alt="seguir usuários"/>
            <span>
              <span style={title}>
                Seguir usuários
              </span>
              <span>
              e suas coleções
              </span>
            </span>
          </Col>
          <Col sm={4} md={4}>
            <img src={baixar} height="150px" alt="baixar recursos"/>
            <span>
              <span style={title}>
                Baixar
              </span>
              <span>
              recursos
              </span>
            </span>
          </Col>
          <Col sm={4} md={4}>
            <img src={acessar} height="150px" alt="acessar materiais"/>
            <span>
              <span style={title}>
                Acessar materiais
              </span>
              <span>
              de formação
              </span>
            </span>
          </Col>
        </Row>
      </Container>
    )
  }
}
export default Funcionalities;
