/*Copyright (C) 2018 Laboratório de Novas Tecnologias
Centro de Ciências da Educação (CED) - Universidade Federal de Santa Catarina

This file is part of plataformaintegrada.

Permission is hereby granted, free of charge, to any person obtaining a copy of this
software and associated documentation files the Software, to deal in the Software
without restriction, including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.*/


import React from 'react';
import { Link } from 'react-router-dom'
import { Container } from 'react-grid-system'
import logo from '../img/logo_small.svg'
import '../App.css';
import Dropdown from './Dropdown';
import { Button } from '@material-ui/core';
import IconSearch from '@material-ui/icons/Search'

import styled from 'styled-components'

const ContainerStyled = styled(Container)`
    *{ text-decoration: none }
    display: flex;
    align-items: center;
    border-top: 1px rgba(0,0,0,.1) solid;
    padding: 5px;
    *{
      margin-left: 10px;
    }
`
const ButtonStyled = styled(Button)`
    text-transform: capitalize !important;
`
const IconSearchStyled = styled(IconSearch)`
  color: #16b8dd;
`
const ImageStyled = styled.img`
    height: 50px;
    width: auto;
    cursor: pointer;
    margin: 0 10px;
`

export default function MenuBar(props){
  const menuSobre = [
    { name: "Sobre a Plataforma", href: "" },
    { name: "Portais Parceiros", href: "" },
    { name: "Termos de Uso", href: "" },
    { name: "Contato", href: "" }
  ]

  const menuAjuda = [
    { name: "Central de Ajuda", href: ""},
    { name: "Publicando Recursos", href: ""},
    { name: "Encontrando Recursos", href: ""},
    { name: "Participando da Rede", href: ""},
    { name: "Gerenciando a Conta", href: ""}
  ]

  return(
    <ContainerStyled fluid={true} >
      <Link to="/"> <ImageStyled src={logo} alt="Plataforma Integrada" /> </Link>
      <Dropdown name="Sobre" items={menuSobre}/>
      <Dropdown name="Ajuda" items={menuAjuda}/>
      <a href="http://educacaoconectada.mec.gov.br/" rel="noopener noreferrer" target="_blank" >
        <ButtonStyled >Educação Conectada</ButtonStyled>
      </a>
      <ButtonStyled onClick={props.openSearchBar} ><IconSearchStyled />Buscar</ButtonStyled>
    </ContainerStyled>
  );
}