/*Copyright (C) 2018 Laboratório de Novas Tecnologias
Centro de Ciências da Educação (CED) - Universidade Federal de Santa Catarina

This file is part of plataformaintegrada.

Permission is hereby granted, free of charge, to any person obtaining a copy of this
software and associated documentation files the Software, to deal in the Software
without restriction, including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.*/


import React, {Component} from 'react';
import '../App.css';
import banner from '../img/bannerBusca.jpg';
// import SearchBar from './SearchBar';
import {Row} from 'react-grid-system';
import {MdInfoOutline} from "react-icons/md"
import { FaRegPlayCircle} from "react-icons/fa";

const bannerStyle={
  width: "100%",
  backgroundImage: `url(${banner})`,
  backgroundSize: "cover",
  textAlign: "center"
}
const titleStyle={
  color: "white",
  paddingTop: "5%"
}
const buttonStyle={
  alignItems: "flex-start",
  fontSize: "0.7em",
  textAlign: "center",
  cursor: "pointer",
  borderTopLeftRadius: "15px",
  borderTopRightRadius: "15px",
  lineHeight: 1.42857143,
  width: "20%",
  marginTop: "1%",
  color: "white",
  padding: "1.2%",
  borderWidth: "5%",
  borderStyle: "none",
  borderImage: "initial"
}

class SearchSection extends Component{
  constructor(props){
    super(props);
    this.state={
      color: "#ff7f00"
    };}


  render(){
    return(
    <div style={bannerStyle}>
      <div style={titleStyle}>
        <h2>Plataforma MEC de Recursos Educacionais Digitais</h2>
        <h3 style={{fontWeight: "100"}}>
          Encontre e compartilhe vídeos, animações e muitos outros Recursos
        </h3>
      </div>
      {/* <Container style={{backgroundColor: "white" ,width: "50%" ,float: "center", alignItems: "center", borderRadius: "5px", color: this.state.color}}>
          <SearchBar/>
      </Container> */}
          <div style={{paddingBottom: "100px", color: "white"}}>
            <a href="#sobre"><MdInfoOutline size="30px"/>SOBRE A PLATAFORMA</a>
            <a href="#apresentacao"> <FaRegPlayCircle  size="25px"/>VÍDEO DE APRESENTAÇÃO</a>
          </div>
      <Row justify="center">
      <button style={{...buttonStyle, ...{backgroundColor: "#ff7f00"}}} onClick={()=> {this.props.function("Recursos")}}>Recursos Educacionais Digitais</button>
      <button style={{...buttonStyle, ...{backgroundColor: "#e81f4f"}}} onClick={()=> {this.props.function("Materiais")}}>Materiais de Formação</button>
      <button style={{...buttonStyle, ...{backgroundColor: "#673ab7"}}} onClick={()=> {this.props.function("Colecoes")}}>Coleções dos Usuários</button>
      </Row>
    </div>
  );
  }
}

export default SearchSection;
