/*Copyright (C) 2018 Laboratório de Novas Tecnologias
Centro de Ciências da Educação (CED) - Universidade Federal de Santa Catarina

This file is part of plataformaintegrada.

Permission is hereby granted, free of charge, to any person obtaining a copy of this
software and associated documentation files the Software, to deal in the Software
without restriction, including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.*/


import React, {Component} from 'react';
import {Col,Row, Container} from 'react-grid-system';
import mapaBrasil from '../img/mapa-brasil-line-icon.svg';
const brasilStyle={
  backgroundColor: "#00bcd4",
  color: "white",
  textAlign: "center",
  display: "block",
  paddingTop: "10px",
  paddingBottom: "10px"
};
const numberStyle={
  display: "block",
  fontSize: "2.1em",
  fontWeight: "Bold",
  fontFamily: "Roboto, sans-serif",
   textAlign: "center"
};
const statistcStyle={
  display: "inline-block",
  padding: "5px",
  alignSelf:"flex-end"

};
class StatsBar extends Component{
  render(){
    return(
      <div style={brasilStyle}>
      <Container>
      <Row>
        <Col md={6} sm={6} style={{borderRight:"2px dotted #fff", textAlign: "right", alignSelf: "center"}}>
          <img src={mapaBrasil} height="83px" alt="mapa do brasil"/>
          <span  style={statistcStyle}>
            <span style={numberStyle}>
              31061
            </span>
            <span>
              Recursos disponíveis
            </span>
          </span>
        </Col>
        <Col md={6} sm={6} style={{textAlign: "left",
        alignSelf:"center"}}>
            ESSE MÊS:
            <span style={statistcStyle}>
            <span style={numberStyle}>
            10
            </span>
            Baixados
            </span>
            <span style={statistcStyle}>
            <span style={numberStyle}>
            1
            </span>
            Publicados
          </span>
        </Col>
      </Row>
      </Container>
      </div>
    )
  }
}
export default StatsBar;
